#ifndef PHONG_BLINN_CPU_H
#define PHONG_BLINN_CPU_H

#include <cpu.h>

class Phong_Blinn_cpu : public CPU
{
public:
    Phong_Blinn_cpu();
    Phong_Blinn_cpu(textureWidget* );
    GLubyte* raycastingCPU(Parametres* );

private:
    vec4 getColorActual(int mode, float v, int i, int j, int k, Llum *llum, vec4 colorMax);
    vec4 calculIluminacioFTB(Capsa3D cub, Raig raig, int colorMode, Llum *llum);



};

#endif // PHONG_BLINN_CPU_H
